## tiv 1.2.1+dfsg

=== src/Makefile ===
PROGNAME = tiv

OBJECTS = tiv.o

CXX      ?= g++
CXXFLAGS ?= -O2 -fpermissive
INSTALL  ?= install
INSTALL_PROGRAM ?= $(INSTALL) -D

# https://www.gnu.org/prep/standards/html_node/Directory-Variables.html#Directory-Variables
prefix      ?= /usr/local
exec_prefix ?= $(prefix)
bindir      ?= $(exec_prefix)/bin

override CXXFLAGS += -std=c++2a -Wall -fexceptions
override LDFLAGS  += -pthread

all: $(PROGNAME)

tiv.o: CImg.h

$(PROGNAME): $(OBJECTS)
	$(CXX) $(LDFLAGS) $^ -o $@ $(LOADLIBES) $(LDLIBS)

install: all
	$(INSTALL_PROGRAM) $(PROGNAME) $(DESTDIR)$(bindir)/$(PROGNAME)

clean:
	$(RM) -f $(PROGNAME) *.o

.PHONY: all install clean

=== debian/changelog ===
tiv (1.2.1+dfsg-1) unstable; urgency=low

  * Initial release. Closes: #1062455

 -- Loren M. Lang <lorenl@north-winds.org>  Wed, 31 Jan 2024 22:25:21 -0800

=== debian/control ===
Source: tiv
Section: graphics
Priority: optional
Maintainer: Loren M. Lang <lorenl@north-winds.org>
Build-Depends: debhelper-compat (= 13), cimg-dev
Standards-Version: 4.5.1
Homepage: https://github.com/stefanhaustein/TerminalImageViewer
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/penguin359/tiv.git
Vcs-Browser: https://salsa.debian.org/penguin359/tiv

Package: tiv
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: high-resolution command-line image viewer
 Small command-line image viewer using 24-bit RGB ANSI colors and Unicode
 block characters which create a 4x8 pixel cell for each character. With
 the use of these Unicode block characters, this can provide a higher
 resolution image for the same screen real estate.
 .
 This uses Unicode characters to produce a 4x8 pixel cell. Multiple GIF,
 JPEG, ICO, and PNG images can be specified on the command-line at once.

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg1,dversionmangle=s/\+dfsg\d*$//" \
  https://github.com/stefanhaustein/TerminalImageViewer/tags \
  .*/v(\d[\d\.]*)\.(?:tar.gz|tar.bz2|tar.xz)
